The network_identifier specifies which network a particular object is associated with.

export
interface

  NetworkIdentifier

### Hierarchy

- NetworkIdentifier

## Index

### Properties

- blockchain
- network
- sub_network_identifier

## Properties

### blockchain

blockchain: string

- Defined in src/generated/models/NetworkIdentifier.ts:34

Blockchain name

memberof

  NetworkIdentifier

### network

network: string

- Defined in src/generated/models/NetworkIdentifier.ts:40

If a blockchain has a specific chain-id or network identifier, it should go in this field. It is up to the client to determine which network-specific identifier is mainnet or testnet.

memberof

  NetworkIdentifier

### Optional sub_network_identifier

sub_network_identifier: RosettaNetworkListResponseSubNetworkIdentifier

- Defined in src/generated/models/NetworkIdentifier.ts:46

memberof

  NetworkIdentifier

Generated using TypeDoc